Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055082 - invalid optflags for i686
Summary: invalid optflags for i686
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: redhat-rpm-config
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 17:01 UTC by Tuomo Soini
Modified: 2014-01-20 23:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-20 07:29:36 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2014-01-18 17:01:36 UTC
redhat-rpm-config-9.1.0-rhel7-arch-optflags.patch changes i686 flags to:

diff -up redhat-rpm-config-9.1.0/rpmrc.arch-optflags redhat-rpm-config-9.1.0/rpmrc
--- redhat-rpm-config-9.1.0/rpmrc.arch-optflags 2013-09-13 08:48:58.573383192 +0300
+++ redhat-rpm-config-9.1.0/rpmrc       2013-09-13 08:52:22.535847799 +0300
@@ -3,7 +3,7 @@ include: /usr/lib/rpm/rpmrc
 optflags: i386 %{__global_cflags} -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables
 optflags: i486 %{__global_cflags} -m32 -march=i486 -fasynchronous-unwind-tables
 optflags: i586 %{__global_cflags} -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables
-optflags: i686 %{__global_cflags} -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables
+optflags: i686 %{__global_cflags} -m32 -march=x86-64 -mtune=generic -mfpmath=sse -fasynchronous-unwind-tables
 optflags: athlon %{__global_cflags} -m32 -march=athlon -fasynchronous-unwind-tables
 optflags: ia64 %{__global_cflags}
 optflags: x86_64 %{__global_cflags} -m64 -mtune=generic


-march=x86-64 is not valid for i686.

Comment 2 Panu Matilainen 2014-01-20 07:29:36 UTC
(In reply to Tuomo Soini from comment #0)
> -march=x86-64 is not valid for i686.

It seems a bit odd yes, but its intentional: -m32 -march=x86-64 does produce i686 binaries, just ones that require a modern (mmx/sse/sse2 etc capable) cpu.

I could imagine Centos wanting to revert that to support older cpus though.


Note You need to log in before you can comment on or make changes to this bug.